Query Contacts (Full)
curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact/Query/FullContact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"includeArchived": "<boolean>",
"queryLocation": {
"topLatitude": "<double>",
"leftLongitude": "<double>",
"bottomLatitude": "<double>",
"rightLongitude": "<double>"
},
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
includeArchived: '<boolean>',
queryLocation: {
topLatitude: '<double>',
leftLongitude: '<double>',
bottomLatitude: '<double>',
rightLongitude: '<double>'
},
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch('https://api.virtuoussoftware.com/api/Contact/Query/FullContact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Contact/Query/FullContact"
payload = {
"includeArchived": "<boolean>",
"queryLocation": {
"topLatitude": "<double>",
"leftLongitude": "<double>",
"bottomLatitude": "<double>",
"rightLongitude": "<double>"
},
"groups": [{ "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }, { "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }],
"sortBy": "<string>",
"descending": "<boolean>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Contact/Query/FullContact");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"includeArchived\": \"<boolean>\",\n \"queryLocation\": {\n \"topLatitude\": \"<double>\",\n \"leftLongitude\": \"<double>\",\n \"bottomLatitude\": \"<double>\",\n \"rightLongitude\": \"<double>\"\n },\n \"groups\": [\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n },\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"sortBy\": \"<string>\",\n \"descending\": \"<boolean>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Contact/Query/FullContact';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
includeArchived: '<boolean>',
queryLocation: {
topLatitude: '<double>',
leftLongitude: '<double>',
bottomLatitude: '<double>',
rightLongitude: '<double>'
},
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 100234,
"contactType": "Household",
"isPrivate": false,
"name": "Marcus Castellano",
"informalName": "Marcus & Elena Castellano",
"description": "Household led by Marcus Castellano; board member and major donor.",
"website": null,
"maritalStatus": "Married",
"anniversaryMonth": null,
"anniversaryDay": null,
"anniversaryYear": null,
"mergedIntoContactId": null,
"address": {
"id": 400123,
"label": "Home",
"address1": "219 Oak Hill Drive",
"address2": null,
"city": "Springfield",
"state": "OR",
"postal": "97478",
"country": "United States",
"isPrimary": true,
"canBePrimary": true,
"startMonth": null,
"startDay": null,
"endMonth": null,
"endDay": null
},
"giftAskAmount": "1000.00",
"giftAskType": "Capital Campaign",
"lifeToDateGiving": "42500.00",
"yearToDateGiving": "4000.00",
"lastGiftAmount": "1000.00",
"lastGiftDate": "2025-10-12T00:00:00Z",
"contactIndividuals": [
{
"id": 200234,
"contactId": 100234,
"prefix": "Mr.",
"firstName": "Marcus",
"middleName": "David",
"lastName": "Castellano",
"suffix": null,
"gender": "Male",
"isPrimary": true,
"canBePrimary": true,
"isSecondary": false,
"canBeSecondary": true,
"birthMonth": 3,
"birthDay": 18,
"birthYear": 1972,
"birthDate": "1972-03-18T00:00:00Z",
"approximateAge": 53,
"isDeceased": false,
"passion": "Youth education",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"contactMethods": [
{
"id": 300101,
"type": "Home Email",
"value": "marcus.castellano@example.org",
"isOptedIn": true,
"isPrimary": true,
"canBePrimary": true
},
{
"id": 300102,
"type": "Mobile Phone",
"value": "(555) 012-3401",
"isOptedIn": true,
"isPrimary": true,
"canBePrimary": true
},
{
"id": 300103,
"type": "Home Phone",
"value": "(555) 012-3400",
"isOptedIn": true,
"isPrimary": false,
"canBePrimary": true
}
],
"createDateTimeUtc": "2018-09-15T14:22:31Z",
"modifiedDateTimeUtc": "2025-10-12T09:15:42Z",
"customFields": [
{
"name": "EngagementScore",
"value": "85",
"displayName": "Engagement Score"
},
{
"name": "CommunicationPreference",
"value": "Email",
"displayName": "Communication Preference"
}
],
"customCollections": []
},
{
"id": 200235,
"contactId": 100234,
"prefix": "Mrs.",
"firstName": "Elena",
"middleName": "Maria",
"lastName": "Castellano",
"suffix": null,
"gender": "Female",
"isPrimary": false,
"canBePrimary": true,
"isSecondary": true,
"canBeSecondary": true,
"birthMonth": 8,
"birthDay": 22,
"birthYear": 1974,
"birthDate": "1974-08-22T00:00:00Z",
"approximateAge": 51,
"isDeceased": false,
"passion": "Community health",
"avatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200235/Avatar",
"contactMethods": [
{
"id": 300104,
"type": "Home Email",
"value": "elena.castellano@example.org",
"isOptedIn": true,
"isPrimary": true,
"canBePrimary": true
},
{
"id": 300105,
"type": "Mobile Phone",
"value": "(555) 012-3402",
"isOptedIn": true,
"isPrimary": true,
"canBePrimary": true
}
],
"createDateTimeUtc": "2018-09-15T14:22:31Z",
"modifiedDateTimeUtc": "2025-10-12T09:15:42Z",
"customFields": [],
"customCollections": []
}
],
"contactGiftsUrl": "https://api.virtuoussoftware.com/api/Gift/ByContact/100234",
"contactPassthroughGiftsUrl": "https://api.virtuoussoftware.com/api/Gift/Passthrough/ByContact/100234",
"contactPlannedGiftsUrl": "https://api.virtuoussoftware.com/api/PlannedGift/ByContact/100234",
"contactRecurringGiftsUrl": "https://api.virtuoussoftware.com/api/RecurringGift/ByContact/100234",
"contactImportantNotesUrl": "https://api.virtuoussoftware.com/api/ContactNote/Important/ByContact/100234",
"contactNotesUrl": "https://api.virtuoussoftware.com/api/ContactNote/ByContact/100234",
"contactTagsUrl": "https://api.virtuoussoftware.com/api/ContactTag/ByContact/100234",
"contactRelationshipsUrl": "https://api.virtuoussoftware.com/api/Relationship/ByContact/100234",
"primaryAvatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"contactReferences": [
{
"source": "Raise",
"id": "200234"
}
],
"originSegmentId": 2010,
"originSegment": "Spring Appeal 2025",
"createDateTimeUtc": "2018-09-15T14:22:31Z",
"createdByUser": "Data Import",
"modifiedDateTimeUtc": "2025-10-12T09:15:42Z",
"modifiedByUser": "Nightly Sync",
"tags": [
"Board Member",
"Major Donor"
],
"organizationGroups": [
"Board of Directors"
],
"customFields": [
{
"name": "EngagementScore",
"value": "85",
"displayName": "Engagement Score"
},
{
"name": "CommunicationPreference",
"value": "Email",
"displayName": "Communication Preference"
}
],
"customCollections": []
}
],
"total": 1247
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Query Contacts (Full)
Includes full contact details instead of an abbreviated contact.
POST
/
api
/
Contact
/
Query
/
FullContact
Query Contacts (Full)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Body
application/json
When true, archived contacts are included in the results. Defaults to false.
An optional bounding box that limits results to contacts with an address inside it.
Show child attributes
Show child attributes
The filter groups to apply. Conditions within a group are combined with AND, and the groups are combined with OR.
Show child attributes
Show child attributes
The field to sort the results by.
The direction to sort the results. Set to true to sort in descending order.
Last modified on August 11, 2026
Was this page helpful?
⌘I